Edit Published social Post
curl --request POST \
--url https://api.birdeye.com/resources/v1/social/post/public/published/edit/{accountNumber} \
--header 'Content-Type: application/json' \
--data '
{
"trackingId": "4ece211b82162d1101d2d82a24876a92",
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [
123456780,
123456781
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/social/post/public/published/edit/{accountNumber}"
payload = {
"trackingId": "4ece211b82162d1101d2d82a24876a92",
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [123456780, 123456781]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trackingId: '4ece211b82162d1101d2d82a24876a92',
text: 'Check out the latest collection',
socialSite: 'GOOGLEMYBUSINESS',
subBusinessNumbers: [123456780, 123456781]
})
};
fetch('https://api.birdeye.com/resources/v1/social/post/public/published/edit/{accountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 5556,
"message": "One or few BusinessIds are Invalid"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Social
Edit published social Post
This api will edit a published post created through public api. Only text can be updated for a published post. Editing published post is only supported for these channels: Facebook, Google and LinedIn.
POST
/
v1
/
social
/
post
/
public
/
published
/
edit
/
{accountNumber}
Edit Published social Post
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the Account.
Body
application/json
Tracking id received when post was created through public api.
Text to be updated for the post. Limits of characters across various Social Sites
The social site where the post will be edited. Possible values are
List of location ids for which this post should be edited. If list contains a location which is not part of the post, then no action will be taken for that location.
⌘I